/*
 * Copyright (c) 2017 Fraunhofer FOKUS.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the
 * GNU AGPL v3 which accompanies
 * this distribution, and is available at
 * http://www.gnu.org/licenses/agpl.txt
 *
 * Contributors:
 * Simon Dutkowski Fraunhofer FOKUS
 *
 * Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
 */
package eu.DECIDEh2020.mcsla.core.metrics;

import eu.DECIDEh2020.appManager.models.Parameter;

import java.util.Comparator;
import java.util.List;

class AggregationMinType<T extends Comparable<T>> implements PredefinedExpression<T, T> {

    @Override
    public T calculate(List<T> input, List<Parameter> parameters) {
        return input.stream().min(Comparator.naturalOrder()).orElse(input.get(0));
    }

    @Override
    public T calculateFromStrings(List<String> input, List<Parameter> parameters) {
        return (T)input.stream().map(Double::valueOf).min(Comparator.naturalOrder()).orElse(Double.valueOf(input.get(0)));
    }

}
