/*
 * Copyright (c) 2017 Fraunhofer FOKUS.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the
 * GNU AGPL v3 which accompanies
 * this distribution, and is available at
 * http://www.gnu.org/licenses/agpl.txt
 *
 * Contributors:
 * Simon Dutkowski Fraunhofer FOKUS
 *
 * Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
 */
package eu.DECIDEh2020.mcsla.core.metrics;

import eu.DECIDEh2020.appManager.models.Parameter;

import java.util.List;

class AggregationSumType<T extends Number> implements PredefinedExpression<T, T> {

    @Override
    public T calculate(List<T> input, List<Parameter> parameters) {
        Number res;
        T example = input.get(0);
        if (example instanceof Double) {
            res = input.stream().mapToDouble(T::doubleValue).sum();
        } else if (example instanceof Integer) {
            res =  input.stream().mapToInt(T::intValue).sum();
        } else if (example instanceof Long) {
            res = input.stream().mapToLong(T::longValue).sum();
        } else {
            res = example;
        }
        return (T)res;
    }

    @Override
    public T calculateFromStrings(List<String> input, List<Parameter> parameters) {
        return (T)(Number)input.stream().mapToDouble(Double::valueOf).sum();
    }

}
