/*
 * Copyright (c) 2017 Fraunhofer FOKUS.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the
 * GNU AGPL v3 which accompanies
 * this distribution, and is available at
 * http://www.gnu.org/licenses/agpl.txt
 *
 * Contributors:
 * Simon Dutkowski Fraunhofer FOKUS
 *
 * Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
 */
package eu.DECIDEh2020.mcsla.core.metrics;

public enum Predefined {
    EMPTY(""),
    AVAILABILITY_UPTIME_BC("100 - (billingCycle - totalDowntime)/billingCycle"),
    AVAILABILITY_MTBFMTTR("100 * (MTBF/(MTBF + MTTR))"),
    AVAILABILITY_AGGREGATION_SUMTYPE("availability(term<1>, ...term<n>) = 100% - (sum<i=1..n>(100% - term<i>))"),
    AGGREGATION_MINTYPE("min(term<1>, ...term<n>)"),
    AGGREGATION_MAXTYPE("max(term<1>, ...term<n>)"),
    AGGREGATION_SUMTYPE("sum(term<1>, ...term<n>)");

    private String note;

    Predefined(String note) {
        this.note = note;
    }

    public String note() {
        return note;
    }

}
