import React, {Component} from 'react'
import {connect} from 'react-redux'
import deepOrange from '@material-ui/core/colors/deepOrange';
import { withStyles, Avatar, Typography } from "@material-ui/core";

const styles = {
    avatar: {
        margin: 10,
        color: '#fff',
        backgroundColor: deepOrange[500],
        width: 60,
        height: 60
    },
    row: {
        display: 'flex',
        justifyContent: 'center',
    }
}

class DecideAppSheet extends Component {
    render() {
        const { classes, decideApp } = this.props;
        return (
            <div>
                <div className={classes.row}>
                    <Avatar className={classes.avatar}>
                        <Typography variant="headline" color="inherit">{decideApp.name[0]}</Typography>
                    </Avatar>
                </div>
                <div className={classes.row}>
                    <Typography variant="headline">{decideApp.name}</Typography>
                </div>
                <div className={classes.row}>
                    <Typography variant="subheading" paragraph={true}>{decideApp.description}</Typography>
                </div>
            </div>
        )
    }
}

const mapStateToProps = state => {
    return {
        decideApp: state.decideApp
    }
};

export default connect(mapStateToProps, null)(withStyles(styles, {withTheme: true})(DecideAppSheet))
