import React, { Component } from "react";

import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';
import SyntaxHighlighter from 'react-syntax-highlighter';
import { paraisoDark } from 'react-syntax-highlighter/styles/hljs';

const styles = {
    flex: {
        flex: 1
    }
};

class RawView extends Component {
    render() {
        const { classes, decideApp } = this.props;

        return (
            <div className={classes.flex}>
                <SyntaxHighlighter language="json" style={paraisoDark}>{JSON.stringify(decideApp, null, 4)}</SyntaxHighlighter>
            </div>
        );
    }
}

const mapStateToProps = state => {
    return {
        decideApp: state.decideApp || 'No content available'
    }
};

export default connect(mapStateToProps, null)(withStyles(styles, { withTheme: true })(RawView))
